# Data Object - AgencyConfigInfo

Property of
  Agency
Parameter to
  CreateAgency, Update
Returned by
  QueryConfig
Extends
  vmodl.DynamicData
See also
  AgencyScope, AgencyVMFolder, AgencyVMResourcePool, AgentConfigInfo, vim.Datastore.html">Datastore, IpPool,

  Properties

  Name | Type | Description
  --- | --- | ---
  agencyName* | xsd:string | Name of the agency. Must be set when creating the agency.
  agentConfig* | AgentConfigInfo[] | A list of AgentConfigInfos for hosts covered by this `Agency`. When provisioning a new agent to a host, vSphere ESX Agent Manager tries to find, from left to right in the array, a match for an AgentConfigInfo and stops searching at the first one that it finds. If #vmPlacementPolicy is set, the array needs to contain only a single agent config. In that case the agent config is not bound to a specific host, but to the whole cluster.
  agentName* | xsd:string | An optional name to use when naming agent virtual machines. For example, if set to "example-agent", each agent virtual machine will be named "example-agent (1)", "example-agent (2)", and so on. The maximum length of `agentName` is 70 characters.
  agentVmDatastore* | vmodl.ManagedObjectReference to a vim.Datastore | The datastores used to configure the storage on the agent VMs. This property is required if #vmPlacementPolicy is set and #datastoreSelectionPolicy is not set. In that case the first element from the list is used. If not set or preferHostConfiguration is set to true and #vmPlacementPolicy is not set, the default host agent VM datastore (configured through vim.host.EsxAgentHostManager) is used, otherwise the first datastore from the array that is present on the host is used. If #vmPlacementPolicy is set at most one of agentVmDatastore and #datastoreSelectionPolicy needs to be set. If #vmPlacementPolicy is not set #datastoreSelectionPolicy takes precedence over agentVmDatastore . Since vEAM API 2_5
  agentVmNetwork* | vmodl.ManagedObjectReference to a vim.Network | Specifies the networks which to be configured on the agent VMs. This property is only applicable for pinned to host VMs - i.e. (#vmPlacementPolicy) is not set. If not set or preferHostConfiguration is set to true, the default host agent VM network (configured through vim.host.EsxAgentHostManager) is used, otherwise the first network from the array that is present on the host is used. At most one of agentVmNetwork and #vmNetworkMapping needs to be set. Since vEAM API 2.0
  bypassVumEnabled* | xsd:boolean | Deprecated. VUM is no more consulted so this property has no sense anymore Set to true will install VIBs directly on the hosts even if VMware Update Manager is installed. If unset, defaults to false. Since vEAM API 2.0
  folders* | AgencyVMFolder[] | Defines the folders where VMs to be deployed. If specified, the VMs for every compute resouce in the scope will be deployed to its corresponding folder. The link is made between the compute resource parent and the datacenter the folder belongs to VMFolder#datacenterId. If not specified, the agent VMs for each compute resource will be deployed in top level folder created in each datacenter for the agent VMs. Since vEAM API 6.9
  ipPool* | vim.vApp.IpPool | Deprecated. that is a custom configuration that should be setup by the agency owner. One way is to use manuallyMarkAgentVmAvailableAfterPowerOn or manuallyMarkAgentVmAvailableAfterProvisioning hooks. If set, a property with id "ip" and value an IP from the pool is added to the vApp configuration of the deployed VMs. Since vEAM API 3.0
  manuallyMarkAgentVmAvailableAfterPowerOn* | xsd:boolean | If set to `true`, the client of this agency must manually mark the agent as ready after the agent virtual machine has been powered on. In this case, DRS will not regard the agent virtual machine as ready until the client has marked the agent as ready. See Agent#markAsAvailable()
  manuallyMarkAgentVmAvailableAfterProvisioning* | xsd:boolean | If set to `true`, the client of this agency must manually mark the agent as ready after the agent virtual machine has been provisioned. This is useful if the client of this solution performs some extra reconfiguration of the agent virtual machine before it is powered on. See Agent#markAsAvailable()
  manuallyMonitored* | xsd:boolean | Deprecated. use automatically provisioned VMs and register hooks to have control post provisioning and power on Set to true if agent VMs are manually monitored. If unset, defaults to false. This can only be set to true if manuallyProvisioned is set to true. Since vEAM API 2.0
  manuallyProvisioned* | xsd:boolean | Deprecated. use automatically provisioned VMs and register hooks to have control post provisioning and power on Set to true if agent VMs are manually provisioned. If unset, defaults to false. Since vEAM API 2.0
  optimizedDeploymentEnabled* | xsd:boolean | If set to `true`, ESX Agent Manager will use vSphere Linked Clones to speed up the deployment of agent virtual machines. Using linked clones implies that the agent virtual machines cannot use Storage vMotion to move to another vSphere datastore. If set to `false`, ESX Agent Manager will use Full VM Cloning. If unset default is `true`.``
  preferHostConfiguration* | xsd:boolean | If set to true the default agent VM datastore and network will take precedence over Agency.ConfigInfo.agentVmNetwork and Agency.ConfigInfo.agentVmDatastore when configuring the agent VMs. This property is not used if #vmPlacementPolicy is set. Since vEAM API 2_5
  resourcePools* | AgencyVMResourcePool[] | Defines the resource pools where VMs to be deployed. If specified, the VMs for every compute resouce in the scope will be deployed to its corresponding resource pool. If not specified, the agent VMs for each compute resource will be deployed under top level nested resource pool created for the agent VMs. If unable to create a nested resource pool, the root resource pool of the compute resource will be used. Since vEAM API 6.9
  scope* | AgencyScope | The scope of the `Agency`.
  useUuidVmName* | xsd:boolean | Property `agentName` is required if this property is set to `true`. If set to `true`, ESX Agent Manager will name virtual machines with UUID suffix. For example, "example-agent-UUID". In this case, the maximum length of `agentName` is 43 characters. If not set or is set to `false`, virtual machines will not contain UUID in their name. Since vEAM API 7.5
  Properties inherited from vmodl.DynamicData
  None

  *Need not be set